Initiate Outbound Call
This endpoint allows to initiate two-leg Outbound Calls.
The first call leg is initiated from the internal Phone Number (which belongs to your account, specified by
CallerId field in the request body) to the agent's Phone Number (an external number, specified by
From field).
When the first leg is answered, Telgorithm randomly selects one digit from 1 to 9 and plays a voice instruction telling the agent which digit to press. The agent must press that exact digit. For example, if the instruction says to press 7, only 7 is accepted; pressing any other digit will not complete the human-verification step.
Finally, the second leg is initiated from the internal Phone Number (CallerId) to the To number
specified in the request body, and when it is answered, both call legs are connected to each other.
The Call ends when any party hang it up, or when you request hangup by an API call.
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Initiate Call request
Response Body
curl -X POST "https://example.com/v1/Calls" \ -H "Content-Type: application/json" \ -d '{ "callerId": "+13456789012", "from": "+12345678901", "to": "+19876543210", "record": "false" }'{ "sid": "CA08d9704f044a2fa13d3faa216fcf4574b64b19be32626243"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}{ "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "Error title", "detail": "Error detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}